Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::PColumn Class Reference

`#include <SensIndexPCalculator.hpp>`

Inheritance diagram for Ipopt::PColumn:
[legend]

## Public Member Functions
| PColumn (Index nrows, Number *values)
| This class provides an easy interface for PCalculators with data where columns are not necessarily in adjacent parts of memory. More...
virtual | ~PColumn ()
virtual void | GetSchurMatrixRows (const std::vector< Index > *row_idx_B, Number *S) const
virtual const Number * | Values () const
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
Index | nrows_
Number * | val_

## Detailed Description

Definition at line 56 of file SensIndexPCalculator.hpp.

## Constructor & Destructor Documentation

Ipopt::PColumn::PColumn | ( | Index | nrows,
|  | Number * | values
| ) |  |

This class provides an easy interface for PCalculators with data where columns are not necessarily in adjacent parts of memory.

virtual Ipopt::PColumn::~PColumn | ( |  | ) |
| virtual

## Member Function Documentation

virtual void Ipopt::PColumn::GetSchurMatrixRows | ( | const std::vector< Index > * | row_idx_B,
|  | Number * | S
| ) |  | const
| virtual

virtual const Number* Ipopt::PColumn::Values | ( |  | ) | const
| virtual

## Member Data Documentation

Index Ipopt::PColumn::nrows_
| private

Definition at line 72 of file SensIndexPCalculator.hpp.

Number* Ipopt::PColumn::val_
| private

Definition at line 73 of file SensIndexPCalculator.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensIndexPCalculator.hpp